﻿@using  Constructis.Logic
@model IEnumerable<Constructis.Logic.Cliente>

@{
    ViewBag.Title = "Compradores por fecha";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="row">
    <p>&nbsp;</p>
    <h2>Ver clientes con al menos una compra entre un rango de fechas</h2>
    <br />
    <form method="post" class="form-inline">
        <div class="form-group">
            <label for="exampleInputName2">Fecha desde</label>
            <input type="date" class="form-control" id="txtfechaDesde" name="fechaDesde">
        </div>
        <div class="form-group">
            <label for="exampleInputEmail2">Fecha hasta</label>
            <input type="date" class="form-control" id="txtfechaHasta" name="fechaHasta">
        </div>
        <button id="btnVer" type="submit" class="btn btn-primary">Ver</button>
    </form>
    <p>&nbsp;</p>
    @if (Model != null)
    {
        if (Model.Count() > 0)
        {
            <table class="table">
                <tr>
                    <th scope="col">Nombre</th>
                    <th scope="col">Apellido</th>
                    <th scope="col">Direcci&oacute;n</th>
                    <th scope="col">Tel&eacute;fono</th>
                    <th scope="col">Documento</th>
                </tr>

                @foreach (Constructis.Logic.Cliente item in Model)
                {
                    <tr>
                        <td>@item.Nombre</td>
                        <td>@item.Apellido</td>
                        <td>@item.Direccion</td>
                        <td>@item.Telefono</td>
                        <td>@item.Direccion</td>
                    </tr>
                }
            </table>
        }
        else
        {
            <div class="alert alert-warning" role="alert">No se registraron ventas</div>
        }
    }
    else
    {
        if (ViewBag.errorCamposVacios != string.Empty)
        {
            <div class="alert alert-danger" role="alert">@ViewBag.errorCamposVacios</div>
        }
    }
    <script>
        $("#btnVer").click(function (e) {
            var fechaDesde = document.getElementById("txtfechaDesde").value;
            var fechaHasta = document.getElementById("txtfechaHasta").value;

            if (fechaDesde == "" && fechaHasta == "") {
                e.preventDefault();
                alert("Los campos de fecha son obligatorios");
                return;
            }


            if (Date.parse(fechaDesde) > Date.parse(fechaHasta)) {
                e.preventDefault();
                alert("La fecha inicial debe ser menor a la fecha final");
                return;
            }
        });

    </script>
</div>